# AtomItemWorker Class Reference
[Feed's parsers]

Inheritance diagram for AtomItemWorker:
[legend]

List of all members.

## Public Member Functions

| makeItems (SimpleXMLElement $xmlFeed)
| toXml (FeedItem $item)

## Static Public Member Functions

static | me ()

## Private Member Functions

| makeFeedItemContent ($content)

## Detailed Description

Definition at line 15 of file AtomItemWorker.class.php.

## Member Function Documentation

AtomItemWorker::makeFeedItemContent | ( | $ | content | ) | `[private]`

Definition at line 68 of file AtomItemWorker.class.php.

References FeedItemContent::create(), FeedItemContentType::HTML, FeedItemContentType::TEXT, and FeedItemContentType::XHTML.

Referenced by makeItems().

Here is the call graph for this function:

AtomItemWorker::makeItems | ( | SimpleXMLElement $ | xmlFeed | ) |

Implements FeedItemWorker.

Definition at line 25 of file AtomItemWorker.class.php.

References Timestamp::create(), FeedItem::create(), and makeFeedItemContent().

Here is the call graph for this function:

static AtomItemWorker::me | ( |  | ) | `[static]`

Returns:
  AtomItemWorker

Implements Instantiatable.

Definition at line 20 of file AtomItemWorker.class.php.

References Singleton::getInstance().

Here is the call graph for this function:

AtomItemWorker::toXml | ( | FeedItem $ | item | ) |

Implements FeedItemWorker.

Definition at line 63 of file AtomItemWorker.class.php.

The documentation for this class was generated from the following file:

- main/Markup/Feed/AtomItemWorker.class.php